Last Comment Bug 329018 - Disable "Global Inbox" by default
: Disable "Global Inbox" by default
Status: RESOLVED FIXED
: fixed-seamonkey1.1, fixed1.8.1.1, late-l10n
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Account Configuration (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Manuel Reimer
:
Mentors:
: 357519 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 12:51 PST by Manuel Reimer
Modified: 2007-03-19 22:34 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
First draft for a patch (2.11 KB, patch)
2006-10-28 15:54 PDT, Manuel Reimer
no flags Details | Diff | Review
Simplified the code of the first patch (2.01 KB, patch)
2006-10-29 01:42 PDT, Manuel Reimer
mnyromyr: review+
Details | Diff | Review
The (maybe) final version of the "global" patch (1.89 KB, patch)
2006-11-07 06:57 PST, Manuel Reimer
Manuel.Spam: review+
mozilla: superreview+
mscott: approval1.8.1.1+
kairo: approval‑seamonkey1.1+
Details | Diff | Review
Second patch which should only affect SeaMonkey (2.82 KB, patch)
2006-11-09 12:05 PST, Manuel Reimer
mnyromyr: review+
neil: superreview+
kairo: approval‑seamonkey1.1+
Details | Diff | Review
Patch to fix the help system, as suggested by Stefan (1.52 KB, patch)
2006-11-12 01:11 PST, Manuel Reimer
mnyromyr: review+
neil: superreview+
kairo: approval‑seamonkey1.1+
Details | Diff | Review

Description Manuel Reimer 2006-03-01 12:51:56 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.8.0.1) Gecko/20060126 SeaMonkey/1.0
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.8.0.1) Gecko/20060126 SeaMonkey/1.0

If you create a new mail account, then the option "Use global inbox" is checked by default. I think this isn't what someone, who ports from Mozilla to SeaMonkey, expects.

After I (Mozilla user) had created my accounts I was confused as I didn't see my inboxes. I killed all my accounts again and with the second try I saw the checkbox which has to be disabled.

Reproducible: Always

Steps to Reproduce:
Just create a new mail account.
Actual Results:  
The option "global inbox" is enabled by default. This is something that may confuse users that come from mozilla.

Expected Results:  
Global inbox should be disabled by default. This is a nice feature but I think most mozilla users just liked the way it was done in mozilla. If someone wants this new feature then he is able to enable it.
Comment 1 David :Bienvenu 2006-03-01 12:57:33 PST
If Seamonkey wants to do this, it can...but Thunderbird is going to stick with the Global Inbox.
Comment 2 Karsten Düsterloh 2006-03-01 14:14:16 PST
Actually, the default for Global Inbox is quite confusing, especially for long-time Mozilla users: you're creating a new account, haven't touched anything strange (at least by feeling) - and it just doesn't show up in the folder pane!
We should turn it off for SM.
Comment 3 neil@parkwaycc.co.uk 2006-03-01 16:41:55 PST
I don't know how easy that would be given that the wizard is shared code.
Failing that I'd like to see the global inbox in its own wizard page.
At least you'd be more likely to notice it then!
Comment 4 Karsten Düsterloh 2006-03-01 22:45:36 PST
The checkmark is set statically in the XUL, regardless of any prefs. So we could put its 'checked' attribute value into the (non-shared!) .dtd (yuck!) or .properties (only slightly less yucky) or create a pref with different default for SM and TB.
Comment 5 WADA 2006-03-02 18:38:53 PST
(In reply to comment #0)
> Expected Results:  
> Global inbox should be disabled by default.

See Bug 272340 for request on Thunderbird, which was already WONTFIX'ed.
Comment 6 Manuel Reimer 2006-03-03 11:27:16 PST
(In reply to comment #5)
> See Bug 272340 for request on Thunderbird, which was already WONTFIX'ed.

But SeaMonkey is *NOT* Thunderbird!

I agree with the last comment of Karsten. I think there should be added some setting into one of those files. Of course this would mean that the state of the setting also has to be added to the Thunderbird .dtd file.
Comment 7 Frank Wein [:mcsmurf] 2006-10-22 03:06:48 PDT
*** Bug 357519 has been marked as a duplicate of this bug. ***
Comment 8 Manuel Reimer 2006-10-28 15:54:29 PDT
Created attachment 243929 [details] [diff] [review]
First draft for a patch

This is a first try to fix the "global" stuff as this is the difficult part.

As soon as this is fixed I'll create a second patch to do the changes in SeaMonkey

The patch will add a new user_pref. Maybe the name of the pref isn't perfect. Maybe someone else has a better idea. If the pref isn't set at all, then the Thunderbird-Default is used (enabled global inbox). If the pref is set, then the value in the pref will be used. SeaMonkey will have a "false" for this pref after my second patch.
Comment 9 Manuel Reimer 2006-10-29 01:42:37 PDT
Created attachment 243966 [details] [diff] [review]
Simplified the code of the first patch

Simplified my first patch. "setAttribute" not longer used. Not longer defining a default in the js file. The setting in the xul file is the default!
Comment 10 Karsten Düsterloh 2006-11-05 14:12:41 PST
Comment on attachment 243966 [details] [diff] [review]
Simplified the code of the first patch

Looks good, just two nits:

>+    // Set default value for global inbox checkbox
>+    var checkGlobalInbox = document.getElementById("deferStorage");
>+    try {
>+        checkGlobalInbox.checked = gPrefs.getBoolPref("mail.accountwizard.default.globalinbox");

The prefname is somewhat excessive and accounts using the "global inbox" feature are called "deferred" in code, so we'd better use something along "mail.accountwizard.deferred": the term "accountwizard" clearly states that it's just a default...

>+    } catch(e) { }

No space inside the braces.
Comment 11 Manuel Reimer 2006-11-07 06:57:57 PST
Created attachment 244892 [details] [diff] [review]
The (maybe) final version of the "global" patch

Did the changes, but I've used "mail.accountwizard.deferstorage" as pref as "deferStorage" is also the ID of the button we want to modify with the pref. Maybe this makes things a bit clearer.
Comment 12 Manuel Reimer 2006-11-09 12:05:37 PST
Created attachment 245129 [details] [diff] [review]
Second patch which should only affect SeaMonkey

This is the second patch to fix this bug. It just modifies one line in two files. The first is to turn the pref to "false" by default and the second is for modifying the information next to the checkbox (Uncheck --> Check).
Comment 13 Stefan [:stefanh] (away until May 28) 2006-11-09 13:15:56 PST
Comment on attachment 245129 [details] [diff] [review]
Second patch which should only affect SeaMonkey

Can you update the Help documentation as well, please?
 
mail_help.xhtml:

153       <li>If you want this account to be a part of the Local Folders Global
154         Inbox account, keep the <q>Use Global Inbox</q> box checked. Mail for
155         this account will then be stored in your Local Folders. Otherwise, if
156         the checkbox is unchecked, mail will be stored in its own
157         directory.</li>
Comment 14 Karsten Düsterloh 2006-11-09 14:39:49 PST
Comment on attachment 245129 [details] [diff] [review]
Second patch which should only affect SeaMonkey

>+<!ENTITY deferStorageDesc.label "Check this checkbox to store mail for this account in the Local Folders Global Inbox. Otherwise the account appears as a top-level account and its mail is stored in its own directory.">

I'm no native English speaker, but maybe:
- Local Folders don't have something named "Global Inbox" -> just "Local Folders' Inbox"?
- "the account appears ... mail is stored" -> "the account will appear ... mail will be stored"?

r=me with that, supposing Neil doesn't object. ;-)
Comment 15 Manuel Reimer 2006-11-12 01:11:09 PST
Created attachment 245378 [details] [diff] [review]
Patch to fix the help system, as suggested by Stefan

This will correct the text in the help system ("leave checked" -> "check").

As soon as this gets r+ and sr+, could someone please check all that stuff in whereever it's possible? Please also make it possible to get this fix into 1.0.7 (I don't have "approval-seamonkey1.0.7" here).
Comment 16 Manuel Reimer 2006-11-12 01:13:24 PST
(In reply to comment #14)
> I'm no native English speaker, but maybe:
> - Local Folders don't have something named "Global Inbox" -> just "Local
> Folders' Inbox"?
> - "the account appears ... mail is stored" -> "the account will appear ... 
> mail will be stored"?

I'm also no native english speaker, but your solution also sounds nice ;-)

But my solution seems to be not completely wrong as Neil gave sr+
Comment 17 neil@parkwaycc.co.uk 2006-11-12 05:22:12 PST
Comment on attachment 245378 [details] [diff] [review]
Patch to fix the help system, as suggested by Stefan

Sorry, I didn't read the text that carefully last time.
Comment 18 Karsten Düsterloh 2006-11-12 06:14:21 PST
Comment on attachment 245378 [details] [diff] [review]
Patch to fix the help system, as suggested by Stefan

Could be hard to get the help changes "through" the string freeze of 1.1, though...
Comment 19 Stefan [:stefanh] (away until May 28) 2006-11-12 10:23:46 PST
(In reply to comment #18)
> (From update of attachment 245378 [details] [diff] [review] [edit])
> Could be hard to get the help changes "through" the string freeze of 1.1,
> though...
> 

And the string changes in AccountWizard.dtd ...
Comment 20 Robert Kaiser (not working on stability any more) 2006-11-12 13:47:28 PST
Comment on attachment 244892 [details] [diff] [review]
The (maybe) final version of the "global" patch

1.5a doesn't need approvals (yet), this flag doesn't make sense.
Additionally, as you did mention it, this is no regression, stability or security fix and therefore has no reason to go into 1.0.x (1.8.0 branch).
Comment 21 Robert Kaiser (not working on stability any more) 2006-11-13 07:10:24 PST
Comment on attachment 244892 [details] [diff] [review]
The (maybe) final version of the "global" patch

a=me (first-a=CTho) for SeaMonkey 1.1, this is a shared file though, so we need global (or Thunderbird) approval for this part.
Comment 22 Robert Kaiser (not working on stability any more) 2006-11-13 07:11:53 PST
Comment on attachment 245129 [details] [diff] [review]
Second patch which should only affect SeaMonkey

a=me (first-a=CTho) for SeaMonkey 1.1

We'll need to inform localizers of this late-l10n change, but if they don't take the change in their L10n, nothing is badly wrong, so we'll go for it (same thing goes for the help change).
Comment 23 Manuel Reimer 2006-11-20 12:58:29 PST
(In reply to comment #21)
> (From update of attachment 244892 [details] [diff] [review] [edit])
> a=me (first-a=CTho) for SeaMonkey 1.1, this is a shared file though, so we need
> global (or Thunderbird) approval for this part.

Maybe David is able to give approval or at least he may tell us who could give approval for us?
Comment 24 David :Bienvenu 2006-11-20 13:08:31 PST
mscott@mozilla.org can give approval for the tb part.
Comment 25 David :Bienvenu 2006-11-22 11:54:28 PST
Scott, the SM people are interested in getting this in for their 1.8.1 branch based build.
Comment 26 Karsten Düsterloh 2006-11-29 15:22:26 PST
Landed on trunk and MOZILLA_1_8_BRANCH.
Comment 27 crf 2007-03-19 22:34:39 PDT
Did this result in bug 372415 ?

Note You need to log in before you can comment on or make changes to this bug.